Package icyllis.modernui.graphics.drawable

# Class DrawableContainer.DrawableContainerState

java.lang.Object
icyllis.modernui.graphics.drawable.Drawable.ConstantState
icyllis.modernui.graphics.drawable.DrawableContainer.DrawableContainerState

Enclosing class:
  `DrawableContainer`

protected abstract static class DrawableContainer.DrawableContainerState extends Drawable.ConstantState
A ConstantState that can contain several `Drawable`s.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DrawableContainerState(DrawableContainer.DrawableContainerState orig, DrawableContainer owner)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `addChild(Drawable dr)`
  Adds the drawable to the end of the list of contained drawables.
  `boolean`
  `canConstantState()`
  `protected void`
  `computeConstantSize()`
  `final Drawable`
  `getChild(int index)`
  `final int`
  `getChildCount()`
  `final Drawable[]`
  `getChildren()`
  `final int`
  `getConstantHeight()`
  `final int`
  `getConstantMinimumHeight()`
  `final int`
  `getConstantMinimumWidth()`
  `final Rect`
  `getConstantPadding()`
  `final int`
  `getConstantWidth()`
  `final int`
  `getEnterFadeDuration()`
  `final int`
  `getExitFadeDuration()`
  `void`
  `growArray(int oldSize, int newSize)`
  `final boolean`
  `isConstantSize()`
  `final boolean`
  `isStateful()`
  `final void`
  `setConstantSize(boolean constant)`
  `final void`
  `setEnterFadeDuration(int duration)`
  `final void`
  `setExitFadeDuration(int duration)`
  `final void`
  `setVariablePadding(boolean variable)`
  A boolean value indicating whether to use the maximum padding value of all frames in the set (false), or to use the padding value of the frame being shown (true).

  ### Methods inherited from class icyllis.modernui.graphics.drawable.Drawable.ConstantState

  `canApplyTheme, getChangingConfigurations, newDrawable, newDrawable`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DrawableContainerState

    protected DrawableContainerState(@Nullable DrawableContainer.DrawableContainerState orig, DrawableContainer owner)

- ## Method Details

  - ### addChild

    public final int addChild(Drawable dr)
    Adds the drawable to the end of the list of contained drawables.
    Parameters:
      `dr` - the drawable to add
    Returns:
      the position of the drawable within the container

  - ### getChildCount

    public final int getChildCount()

  - ### getChildren

    public final Drawable[] getChildren()

  - ### getChild

    @Nullable public final Drawable getChild(int index)

  - ### setVariablePadding

    public final void setVariablePadding(boolean variable)
    A boolean value indicating whether to use the maximum padding value of all frames in the set (false), or to use the padding value of the frame being shown (true). Default value is false.

  - ### getConstantPadding

    @Nullable public final Rect getConstantPadding()

  - ### setConstantSize

    public final void setConstantSize(boolean constant)

  - ### isConstantSize

    public final boolean isConstantSize()

  - ### getConstantWidth

    public final int getConstantWidth()

  - ### getConstantHeight

    public final int getConstantHeight()

  - ### getConstantMinimumWidth

    public final int getConstantMinimumWidth()

  - ### getConstantMinimumHeight

    public final int getConstantMinimumHeight()

  - ### computeConstantSize

    protected void computeConstantSize()

  - ### setEnterFadeDuration

    public final void setEnterFadeDuration(int duration)

  - ### getEnterFadeDuration

    public final int getEnterFadeDuration()

  - ### setExitFadeDuration

    public final void setExitFadeDuration(int duration)

  - ### getExitFadeDuration

    public final int getExitFadeDuration()

  - ### isStateful

    public final boolean isStateful()

  - ### growArray

    public void growArray(int oldSize, int newSize)

  - ### canConstantState

    public boolean canConstantState()